Bug 922889 - CVE-2013-0242 glibc: Buffer overrun (DoS) in regexp matcher by processing multibyte characters [f17]
CVE-2013-0242 glibc: Buffer overrun (DoS) in regexp matcher by processing mul...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
17
All Linux
low Severity low
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On: 905877
Blocks: CVE-2013-0242
  Show dependency treegraph
 
Reported: 2013-03-18 13:56 EDT by Carlos O'Donell
Modified: 2016-11-24 10:41 EST (History)
10 users (show)

See Also:
Fixed In Version: glibc-2.15-59.fc17
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 905877
Environment:
Last Closed: 2013-06-01 21:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos O'Donell 2013-03-18 13:56:47 EDT
+++ This bug was initially created as a clone of Bug #905877 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Jan Lieskovsky on 2013-01-30 06:18:14 EST ---


Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=905874,905877

--- Additional comment from Eric Blake on 2013-03-15 13:28:22 EDT ---

We've got people panicking that this CVE is still unpatched in Fedora 18, and causing segfaults to appear during 'configure' runs:
https://www.redhat.com/archives/libvir-list/2013-March/msg00951.html

Any word on when fixed glibc will be released into Fedora?

--- Additional comment from Carlos O'Donell on 2013-03-15 14:26:49 EDT ---

I'll fix this before Monday and get rawhide and F18 updated.

We already have a well reviewed patch for update.

--- Additional comment from Carlos O'Donell on 2013-03-17 20:37:45 EDT ---

Fixed in rawhide.

Working on F18 and F19.

--- Additional comment from Carlos O'Donell on 2013-03-17 23:58:14 EDT ---

Fixed in F19.

Koji build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5135287

The F18 patch needed some more pre-requisites to be backported. Thus local testing for F18 is not yet complete.

--- Additional comment from Carlos O'Donell on 2013-03-18 13:23:42 EDT ---

This tracks the f18 fix.

--- Additional comment from Carlos O'Donell on 2013-03-18 13:44:34 EDT ---

Fixed in F18.

Koji build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5138634
Comment 1 Carlos O'Donell 2013-03-18 13:57:25 EDT
This tracks the F17 fix.
Comment 2 Carlos O'Donell 2013-03-19 15:07:07 EDT
Koji build for F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5143544
Comment 3 Fedora Update System 2013-03-19 18:13:42 EDT
glibc-2.15-59.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glibc-2.15-59.fc17
Comment 4 Fedora Update System 2013-03-20 09:17:17 EDT
glibc-2.15-59.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glibc-2.15-59.fc17
Comment 5 Carlos O'Donell 2013-03-20 10:40:58 EDT
The previous bodhi update received a server error so I deleted the update, retagged the koji build and resumitted the update without error this time.
Comment 6 Fedora Update System 2013-03-21 20:20:42 EDT
Package glibc-2.15-59.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.15-59.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4174/glibc-2.15-59.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-01 21:58:03 EDT
glibc-2.15-59.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.